<?php
require_once 'includes/helpers.php';
SetTimeZone();
$validation = new Validation();
$authentication = new Authentication();
$authentication->CheckAuthentication();

//------------- check id -----------------
if (isset($_GET['id'])) {
    $st_id = $_GET['id'];
    $validation->ValidateNumericParameter($st_id);
} else {
    $st_id = $_SESSION["store_id"];
}

//---------------- check date ------------------------
$filterDate = "";
if (isset($_GET['startdate']) && isset($_GET['enddate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];

    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);

    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " between '$start_dt' and '$end_dt'";
}

$showAllStores =  isset($_GET['showAllStores']);
$uid = $_SESSION["userid"];
?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Marketing Report</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="index.html">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                <form action="insertreceivables.php" method="post" class="form-horizontal" id="form_receivables">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Due</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="downpayment" id="downpayment"
                                               value="">
                                        <label class="control-label" id="downpayment1"></label>
                                        <input type="hidden" id="invoice_id" name="invoice_id">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode</label>

                                    <div class="col-md-6">
                                        <select class="form-control select2me" name="paymentmode" id="sales">
                                            <option>Cash</option>
                                            <option>Cheque</option>
                                            <option>Credit Card(Visa)</option>
                                            <option>Credit Card(Matercard)</option>
                                            <option>Credit Card(Amex)</option>
                                            <option>Credit Card(Discover)</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Collection </label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="collection" id="collection"
                                               value="">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Comments </label>

                                    <div class="col-md-6">
                                        <textarea class="form-control" name="comments"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="payment_history">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="control-label col-md-4">Comments </label>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" id="btn_receivables" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- BEGIN PAGE HEADER-->
<!-- BEGIN PAGE TITLE & BREADCRUMB-->
<div class="row">
    <div class="col-md-12">

        <h3 class="page-title">
            Marketing Report
        </h3>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Change Store</label>

            <div class="col-md-3">
                <select name="changestore" class="form-control" id="changestore">
                    <option <?php if ('0' == $st_id) echo "selected=selected"; ?> value="0">All Stores</option>
                    <?php
                    $sql = "select * from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id=$_SESSION[userid]";
                    if(!$showAllStores)
                        $sql .= " and status=0";

                    $quer = mysql_query($sql);
                    while ($r = mysql_fetch_array($quer)) {
                        ?>
                        <option value="<?php echo $r['store_id']; ?>"
                            <?php if ($r['store_id'] == $st_id) echo "selected=selected"; ?>
                            ><?php echo $r['store_name']; ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3">
                <input type="checkbox" id="chkShowAllStores" <?php if($showAllStores) echo "checked=true"; ?> />
                <label class="control-label" for="chkShowAllStores">Show Inactive Stores</label>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Date Range</label>

            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text"
                       placeholder="Start Date" value="" style="cursor:pointer">
            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text"
                       placeholder="End Date" value="" style="cursor:pointer">
            </div>
        </div>

    </div>
</div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="control-label col-md-3">Change Source</label>

                <div class="col-md-3">
                    <select name="source" class="form-control" id="source">
                        <?php

                        $sql = "select * from customization";
                        if ($st_id != 0)
                            $sql .= " where store_id = '$st_id'";

                        $query = mysql_query($sql);

                        $source = "";
                        if (isset($_GET['source'])) {
                            $source = $_GET['source'];
                        }
                        $sourceFoundInDb = false;
                        ?>
                        <option <?php if ('' == $source) echo "selected=selected"; ?> value="">All Sources</option>
                        <?php

                        $sources = array();

                        while ($row = mysql_fetch_array($query)) {
                            $arr = $row['source'];
                            $ar = explode(',', $arr);

                            foreach ($ar as $ar1) {
                                $ar1 = trim($ar1);
                                if ($ar1 != "") {
                                    $sources[$ar1] = "1";
                                }
                            }
                        }

                        foreach ($sources as $ar1 => $ar2) {
                            ?>
                            <option <?php if ($ar1 == $source) {
                                $sourceFoundInDb = true;
                                echo "selected=selected";
                            } ?> value="<?php echo $ar1; ?>"><?php echo $ar1; ?></option>
                        <?php
                        }
                        ?>

                    </select>
                </div>
            </div>
        </div>
    </div>
<?php
$filter = "";
if ($st_id != '' and $st_id != 0) {
    $filter .= " and s.store_id = '$st_id'";
} else {
    if($showAllStores)
        $filter .= " and s.store_id in (select store_id from emp_store where emp_id = $uid)";
    else
        $filter .= " and s.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0)";
}

if ($source != '' && $sourceFoundInDb) {
    $filter .= " and source = '$source'";
}


?>
<br/>
<!-- END PAGE TTLE & BREADCRUMB-->
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
<div class="col-md-12">
<!-- BEGIN EXAMPLE TABLE PORTLET-->
<div class="portlet box blue">
<div class="portlet-title">
    <div class="caption"><i class="icon-edit"></i>Marketing Report</div>
    &nbsp;&nbsp;<?php echo $source; ?>
</div>
<div class="portlet-body">
<div class="table-toolbar">


</div>
<table class="table table-striped table-hover table-bordered" id="sample_editable_1">
<thead>
<tr>
    <th></th>
    <?php if ($filterDate != '') echo "<th>Custom</th>"; ?>
    <th>Daily ($)</th>
    <th>Last Day</th>
    <th>Weekly ($)</th>
    <th>Last Week</th>

    <th>Monthly ($)</th>
    <th>Last Month</th>
    <th>YTD ($)</th>
    <th>Last Year</th>
</tr>
</thead>
<tbody>

<?php

function PrintCell($contents)
{
    echo "<td>$contents</td>";
}

    function PrintRow($title, $formula, $format)
    {
        global $filterDate;
        echo '<tr style="background-color:#FFFFCC">';
        PrintCell($title);
        if ($filterDate != '') {
            PrintCell($formula($filterDate));
        }

        PrintCell($format($formula("='" . date('Y-m-d')."'")));
        PrintCell($format($formula("='" . date('Y-m-d', strtotime("-1 days"))."'")));

        $startDate = date("Y-m-d", strtotime('monday this week'));
        $endDate = date("Y-m-d", strtotime("sunday this week"));
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        $startDate = date("Y-m-d", strtotime('monday last week'));
        $endDate = date("Y-m-d", strtotime("sunday last week"));
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        $startDate = date("Y-m-d", strtotime('first day of this month'));
        $endDate = date("Y-m-d", strtotime("last day of this month"));
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        $startDate = date("Y-m-d", strtotime('first day of last month'));
        $endDate = date("Y-m-d", strtotime("last day of last month"));
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        $this_year = date('Y');
        $startDate = $this_year . '-01-01';
        $endDate = $this_year . '-12-31';
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        $last_year = date('Y', strtotime('-1 year'));
        $startDate = $last_year . '-01-01';
        $endDate = $last_year . '-12-31';
        PrintCell($format($formula("between '$startDate' and  '$endDate'")));

        echo '</tr>';
    }


function GetNew($filterDate)
{
    global $filter;
    $sql = "SELECT  COUNT( * ) AS count1 FROM events s left join contacts on s.contact_id = contacts.id where is_new = '1' and date(s.created_date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetReschedule($filterDate)
{
    global $filter;
    $sql = "SELECT count(*) as count1 FROM `calendar_status` inner join events s on calendar_status.event_id = s.event_id left join contacts on s.contact_id = contacts.id WHERE `eve_status` =  'Recheduled' and date(calendar_status.modified_date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetTotalBooked($filterDate)
{

    return GetNew($filterDate) + GetReschedule($filterDate);
}

function GetShows($filterDate)
{
    global $filter;
    $sql = "SELECT count(*) as count1 FROM  `calendar_status` inner join events s on calendar_status.event_id = s.event_id left join contacts c on s.contact_id = c.id WHERE  (`eve_status` =  'No Sale' or `eve_status` =  'Invoice' ) and date(calendar_status.modified_date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetCancel($filterDate)
{
    global $filter;
    $sql = "SELECT count(*) as count1 FROM  `calendar_status` inner join events s on calendar_status.event_id = s.event_id left join contacts c on s.contact_id = c.id WHERE  `eve_status` =  'Cancelled' and date(calendar_status.modified_date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetCollected($filterDate)
{
    global $filter;
    $sql = "select sum(collection) as count1 from payment_collection inner join invoice_total s on payment_collection.invoice_id = s.id inner join contacts c on s.contact_id = c.id WHERE date(recieved_date) $filterDate and is_dp = '0' $filter";

    return ExecuteScalar($sql);
}
function GetAvgDown($filterDate)
{
    global $filter;
    $sql = "select avg(downpayment) as count1 from invoice_total s inner join contacts c on s.contact_id = c.id WHERE date(date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetDailyDown($filterDate)
{
    global $filter;
    $sql = "select sum(downpayment) as count1 from invoice_total s inner join contacts c on s.contact_id = c.id WHERE date(date) $filterDate $filter ";
    return ExecuteScalar($sql);
}
function GetRefunds($filterDate)
{
    global $filter;
    $sql = "select sum(amount) as count1 from refunds inner join invoice_total s on refunds.invoice_id = s.id inner join contacts c on s.contact_id = c.id WHERE date(recieved_date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetTotalRevenue($filterDate)
{
    global $filter;
    $sql = "select
                 ifnull((select sum(collection) as count1 from payment_collection inner join invoice_total s on payment_collection.invoice_id = s.id inner join contacts c on s.contact_id = c.id WHERE date(recieved_date) $filterDate $filter), 0)
               - ifnull((select sum(amount)     as count1 from refunds            inner join invoice_total s on refunds.invoice_id            = s.id inner join contacts c on s.contact_id = c.id WHERE date(recieved_date) $filterDate $filter), 0)";

    return ExecuteScalar($sql);
}
function GetNewPatientsSeen($filterDate)
{
    global $filter;
    $sql = "select count(*) as count1 from invoice_total s inner join contacts c on s.contact_id=c.id WHERE date(date) $filterDate $filter";
    return ExecuteScalar($sql);
}
function GetOV($filterDate)
{
    global $filter;
    $sql = "SELECT c1 / c2 as count1 FROM
              (( SELECT COUNT( * ) AS c1 FROM
                  ( SELECT * , COUNT( * ) FROM  `invoice` GROUP BY  `invoice_id` HAVING COUNT( * ) =1) AS a
                      INNER JOIN invoice_total s ON a.invoice_id = s.id
                      inner join contacts c on s.contact_id = c.id
                      WHERE item_id =3 AND DATE( DATE ) $filterDate $filter ) AS a1,
                  ( SELECT COUNT( * ) AS c2 FROM ( SELECT * , COUNT( * ) FROM  `invoice` GROUP BY  `invoice_id` HAVING COUNT( * ) >=1 ) AS a
                      INNER JOIN invoice_total s ON a.invoice_id = s.id
                      inner join contacts c on s.contact_id = c.id
                      WHERE  DATE( DATE ) $filterDate $filter ) AS a2 )";
    return ExecuteScalar($sql);
}
?>
<?php
PrintRow("New", "GetNew", "FormatNumber");
PrintRow("Reschedule", "GetReschedule", "FormatNumber");
PrintRow("Total Booked", "GetTotalBooked", "FormatNumber");
PrintRow("Shows", "GetShows", "FormatNumber");
PrintRow("Cancel", "GetCancel", "FormatNumber");
PrintRow("Collected", "GetCollected", "FormatPayment");
PrintRow("Avg Down", "GetAvgDown", "FormatPayment");
PrintRow("Daily Down", "GetDailyDown", "FormatPayment");
PrintRow("Refunds", "GetRefunds", "FormatPayment");
PrintRow("Total Revenue", "GetTotalRevenue", "FormatPayment");
PrintRow("New Patients Seen", "GetNewPatientsSeen", "FormatNumber");
PrintRow("O.V. %", "GetOV", "FormatPercent");
?>

</tbody>
</table>
</div>
</div>
<!-- END EXAMPLE TABLE PORTLET-->
</div>
</div>


<!-- END PAGE CONTENT -->
</div>


</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>
<script>
    jQuery(document).ready(function () {
        App.init();
        //TableEditable.init();
    });
</script>

<script>
    $('#btn_receivables').click(function () {
        $('#form_receivables').submit();
    });
</script>
<script>

    function buildUrl(){
        var store = $('#changestore').val();
        var showAllStores = $('#chkShowAllStores')[0].checked;
        var source = $('#source').val();
        var a = $('#dt').val();
        var b = $('#dt1').val();

        var url = "?id=" + store + '&source=' + source;
        if(showAllStores)
            url += "&showAllStores=1";

        if(a!= "" && b != "")
            url += '&startdate=' + a + '&enddate=' + b;

        return "marketing_report.php" + url;
    }

    $('#changestore').change(function () {
        location.href = buildUrl();
    });
    $('#chkShowAllStores').change(function () {
        location.href = buildUrl();
    });
    $('#source').change(function () {
        location.href = buildUrl();
    });


    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    <?php
     if (isset($_GET['startdate'])) { ?>
    $('#dt').data().datepicker.setDate(new Date('<?php echo $_GET['startdate']; ?>'))
    $('#dt').data().datepicker.update();
    <?php }
    if (isset($_GET['enddate'])) { ?>
    $('#dt1').data().datepicker.setDate(new Date('<?php echo $_GET['enddate']; ?>'))
    $('#dt1').data().datepicker.update();
    <?php } ?>


    $('#dt1').change(function () {
        location.href = buildUrl();
    });

</script>

</body>
<!-- END BODY -->
</html>