<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
$name = $_SESSION["name"] ;
?>

<div class="page-sidebar navbar-collapse collapse">
<!-- BEGIN SIDEBAR MENU -->
<ul class="page-sidebar-menu">
<li>
    <!-- BEGIN SIDEBAR TOGGLER BUTTON -->
    <div class="sidebar-toggler hidden-phone"></div>
    <!-- BEGIN SIDEBAR TOGGLER BUTTON -->
</li>
<?php
if ($authentication->HasAccess($role , Modules::REPORTS)) {
?>
    <li>
        <a href="recent.php">
            <i class="icon-book"></i>
            <span class="title">Recent</span>
        </a>
    </li>
<?php
}
if ($authentication->HasAccess($role , Modules::CONTACTS)) {
?>
    <li>
        <a href="viewcontact.php">
            <i class="icon-list-alt"></i>
            <span class="title">Contacts</span>
        </a>
    </li>
<?php }
if ($authentication->HasAccess($role , Modules::CALENDAR)) {
?>
    <li class="">
        <a href="javascript:;">
            <i class="icon-calendar"></i>
            <span class="title">Calendar</span>
            <span class="arrow "></span>
        </a>
        <ul class="sub-menu">
            <li>
                <a href="viewcal.php">
                    View Calendar</a>
            </li>
            <li>
                <a href="calendars_list.php">
                    Manage Calendars</a>
            </li>
            <li>
                <a href="appointments_list.php">
                    View Appointments</a>
            </li>
        </ul>
    </li>
<?php }
if ($authentication->HasAccess($role , Modules::LEADS)) {
    ?>
    <li class="">
        <a href="javascript:;">
            <i class="icon-user"></i>
            <span class="title">Lead</span>
            <span class="arrow "></span>
        </a>
        <ul class="sub-menu">
            <?php
            if ($authentication->CanWrite($role , Modules::LEADS)) {
                ?>
                <li>
                    <a href="addlead.php">
                        Add Lead</a>
                </li>
            <?php } ?>
            <li>
                <a href="viewlead.php">
                    View Lead</a>
            </li>
        </ul>
    </li>
<?php }

if ($authentication->HasAccess($role , Modules::INVENTORY)) {
    ?>
    <li>
        <a href="javascript:;">
            <i class="icon-th-list"></i>
            <span class="title">Inventory</span>
            <span class="arrow "></span>
        </a>
        <ul class="sub-menu">
            <?php
            if ($authentication->HasAccess($role , Modules::INVENTORY)) {
                ?>
                <li>
                    <a href="viewinventory.php">
                        View Inventory</a>
                </li>
            <?php } ?>
            <li>
                <a href="summaryInventoryReport.php">
                    Summary Inventory</a>
            </li>
            <li>
                <a href="datailInventoryReport.php">
                    Detail Inventory</a>
            </li>
        </ul>
    </li>
<?php }
if ($authentication->HasAccess($role , Modules::DOSE_ORDERS) || $authentication->HasAccess($role , Modules::PHARMACY)) {
    ?>
    <li>
        <a href="javascript:;">
            <i class="icon-glass"></i>
            <span class="title">Doses</span>
            <span class="arrow "></span>
        </a>
        <ul class="sub-menu">
            <?php
            if ($authentication->HasAccess($role , Modules::DOSE_ORDERS)) {
            ?>
            <li>
                <a href="dose_active_orders.php">
                    Dose Orders</a>
            </li>
            <li>
                <a href="dose_active_orders_summary.php">
                    Dose Order Summary</a>
            </li>
            <?php
            }
            if ($authentication->HasAccess($role , Modules::DOSE_ORDERS) || $authentication->HasAccess($role , Modules::PHARMACY)) {
            ?>
            <li>
                <a href="dose_active_orders.php?doctorlistview=all">
                    Doctor List View</a>
            </li>
            <?php } ?>
        </ul>
    </li>
<?php }

if ($authentication->HasAccess($role , Modules::INVOICES)) {
    ?>
    <li class="">
        <a href="javascript:;">
            <i class="icon-globe"></i>
            <span class="title">Invoice</span>
            <span class="arrow "></span>
        </a>
        <ul class="sub-menu">
            <?php
            if ($authentication->CanWrite($role , Modules::INVOICES)) {
                ?>
                <li>
                    <a href="addinvoice.php">
                        Add Invoice</a>
                </li>
            <?php } ?>
            <li>
                <a href="viewinv.php">
                    View Invoice</a>
            </li>
            <li>
                <a href="view-due-today.php">
                    View Due Today</a>
            </li>
            <li>
                <a href="view-past-due.php">
                    View Past Due</a>
            </li>
            <li>
                <a href="viewreceivables.php">
                    View Receivables</a>
            </li>
            <li>
                <a href="daily_transac.php">
                    Daily Transaction</a>
            </li>
        </ul>
    </li>
<?php }
if ($authentication->HasAccess($role , Modules::REPORTS)) {
?>
<li class="">
    <a href="javascript:;">
        <i class="icon-bar-chart"></i>
        <span class="title">Reports</span>
        <span class="arrow "></span>
    </a>
    <ul class="sub-menu">
        <li>
            <a href="summary_report.php">
                Summary Report</a>
        </li>
        <li>
            <a href="patient_report.php">
                Patient Report</a>
        </li>
        <li>
            <a href="marketing_report.php">
                Marketing Report</a>
        </li>
        <li>
            <a href="sources_report.php">
                Sources Report</a>
        </li>
        <li>
            <a href="emprevenue_report.php">
                Revenue / Employee</a>
        </li>
    </ul>
</li>

<li class="">
    <a href="payment.php">
        <i class="icon-money"></i>
        <span class="title">Payment Info</span>
    </a>
</li>
<?php }
if ($authentication->HasAccess($role , Modules::ROOMS)) {
?>
<li>
    <a class="active" href="javascript:;">
        <i class="icon-home"></i>
        <span class="title">Room Management</span>
        <span class="arrow "></span>
    </a>
    <ul class="sub-menu">
        <li>
            <a href="rooms.php">
                Rooms
            </a>
        </li>
        <li>
            <a href="statuses.php">
                Room Statuses
            </a>
        </li>
        <li>
            <a href="procedure.php">
                Procedure
            </a>
        </li>
<!--            <li>-->
<!--                <a href="doctors.php">-->
<!--                    Doctors-->
<!--                    <span class="arrow"></span>-->
<!--                </a>-->
<!--            </li>-->
    </ul>
</li>
<?php
}
if ($role  == Authentication::ACCESS_ROLE_SUPERADMIN) {
?>
<li>
    <a class="active" href="javascript:;">
        <i class="icon-envelope"></i>
        <span class="title">Email Tracking</span>
        <span class="arrow "></span>
    </a>
    <ul class="sub-menu">
        <li>
            <a href="webmail.php">
                Webmail
            </a>
        </li>
        <li>
            <a href="webmail-trackingreport.php">
                Tracking Info
            </a>
        </li>
        <li>
            <a href="webmail-summaryreport.php">
                Summary Report
            </a>
        </li>
        <li>
            <a href="webmail-templates.php">
                Templates
            </a>
        </li>
        <li>
            <a href="webmail-generatecode.php">
                Tracker Code
            </a>
        </li>
    </ul>
</li>
<li>
    <a class="active" href="javascript:;">
        <i class="icon-leaf"></i>
        <span class="title">Set Up</span>
        <span class="arrow "></span>
    </a>
    <ul class="sub-menu">
            <li>
                <a href="viewstore.php">
                    Store
                </a>

            </li>
            <li>
                <a href="viewemp.php">
                    Employee
                </a>

            </li>
        <li>
            <a href="javascript:;">
                Role Management
                <span class="arrow"></span>
            </a>
            <ul class="sub-menu">
                <li><a href="role_managment.php">Add</a></li>
                <li><a href="view_role.php">View</a></li>
                <li><a href="groups.php">Groups</a></li>

            </ul>
        </li>
        <li>
            <a href="document_library.php">
                Document Library
            </a>
        </li>
        <li>
            <a href="IP_access.php">
                IP Access
            </a>
        </li>
        <li>
            <a href="admin_setting.php">
                Logo
            </a>
        </li>
        <li>
            <a href="customization.php">
                Customization
            </a>
        </li>
        <li class="">
            <a href="settings.php">

                <span class="title">Zoho Sync</span>
            </a>
        </li>
    </ul>
</li>
<?php } ?>

<li>
    <a class="active" href="change_password.php">
        <i class="icon-cogs"></i>
        <span class="title">Change Password</span>
    </a>
</li>
 <li>
    <a href="#">
        <?php if (isset($_SESSION["store_name"])) {
            $store_name = $_SESSION["store_name"];
        } else {
            $sql_select = mysql_query("SELECT * FROM stores_master INNER JOIN emp_store ON stores_master.store_id = emp_store.store_id INNER JOIN employee_master ON emp_store.emp_id = employee_master.emp_id WHERE employee_master.emp_id =" . $_SESSION["userid"] . " and emp_store.store_id = employee_master.default_store");
            if ($row = mysql_fetch_array($sql_select))
                $store_name = $row['store_name'];
        } ?>
        <b><?php echo $name; ?></b><span class="title"
        id="title"> You are logged into <?php echo $store_name; ?></span>
    </a>
</li>
<li class="last ">
    <a href="#">
        <span class="title">
			<div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-12">Change Store</label>
                        <div class="col-md-12">
                            <select name="store" class="form-control" id="store">
                                <option value="">Change Store</option>
                                <?php

                                $sql_select = mysql_query("SELECT * FROM stores_master
                                INNER JOIN emp_store ON stores_master.store_id = emp_store.store_id
                                INNER JOIN employee_master ON emp_store.emp_id = employee_master.emp_id
                                WHERE employee_master.emp_id =" . $_SESSION["userid"]);

                                while ($row = mysql_fetch_array($sql_select)) {
                                    ?>
                                    <option
                                        value="<?php echo $row['store_id']; ?>"><?php echo $row['store_name']; ?></option>
                                <?php } ?>
                            </select>
                            <span class="help-block"></span>
                        </div>
                    </div>
                </div>
            </div>
        </span>
    </a>
</li>

</ul>
<!-- END SIDEBAR MENU -->
</div>
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script>
    $('#store').change(function () {
		location.href = "?change_store=" + $('#store').val();
    });
</script>